jQuery(document).ready(function ($)
{
    token= Joomla.getOptions('token');
    $(document).on('click' , '.favorite > i' , function (e){

        e.preventDefault()
        var courseid= $(this).parent('.favorite').data('id');
        var _this= $(this);
        $.ajax({
            url: 'index.php?option=com_moojla',
            method: 'post',
            dataType: 'json',
            data:{[token]:1, format: 'json', raw: true, task: 'ajax.favorite', courseid: courseid},
            success: function (msg) {
                if (msg== 1)
                {

                    _this.css('color','#f30101');
                }

                if (msg== -1)
                {

                    _this.css('color','#acabab');
                }

            },
            error: function (msg) {
                console.log(msg);
            }
        });

    })
})